/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSCharsetRule_H___INT_
#define __GdomCSSCharsetRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSRule.h"
#include "GDOMObject.h"
#include "CSSCharsetRule.h"
G_BEGIN_DECLS
class GDOMCSSCharsetRule : public GDOMCSSRule {
    typedef GDOMCSSRule Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_CHARSET_RULE; }
    GDOMCSSCharsetRule(PassRefPtr<WebCore::CSSCharsetRule> impl);
};
G_END_DECLS

#endif /* __GdomCSSCharsetRule_H___INT_*/
